--called by the host at the start of a game, makes the objects in question
function initHost()
	terrain.callUpdate = 0--skip calling the update function
	terrain.callWithin = 0
	
	--stage.GFP("BLACK HOLE CRATE")
	--stage.createShip("Blackhole", "null", terrain.centerx, terrain.centery, 0)
	
	--black center
	--stage.createEmitter("blackhole", terrain.centerx, terrain.centery)
	--emitter.upload()
	
	--creates the hole in the center of the map, regardless of terrain placement
	stage.createShip("Blackpeak", "null", terrain.centerx, terrain.centery, 0)
	ship.alpha = .95
	
	--black center
	stage.createEmitter("blackhole_under", terrain.centerx, terrain.centery)
	emitter.setRGB(200,200,250)
	emitter.upload()
	
	stage.createEmitter("blackhole", terrain.centerx, terrain.centery)
	emitter.setRGB(132,132,200)
	emitter.upload()
	
	--outward-going sparklies
	stage.createEmitter("warp_sparklies", terrain.centerx, terrain.centery)
	emitter.num = -1
	emitter.posVar = 10
	emitter.movrotVar = 359
	emitter.lifetimer = 1400
	emitter.alpha = .6
	emitter.setRGB(100,100,200)
	--emitter.upload()
	return 0
end

--called (by the host) every loop
function updateHost()
	return 0
end

--called (by the host) when a ship is inside this terrain tile
function shipWithin()
	return 0
end


--sets the editor/minimap display icon and color
function setIcon()
	icon.frame = 21	--from map_icons.png, which frame to use.
	icon.color = 0	--grey
	return 0
end